Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class RenderAsJSON

    java.lang.Object
      org.apache.jmeter.visualizers.SamplerResultTab
          org.apache.jmeter.visualizers.RenderAsJSON

All Implemented Interfaces:
  ResultRenderer

    public class RenderAsJSON

extends SamplerResultTab
implements ResultRenderer

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.jmeter.visualizers.SamplerResultTab
`SamplerResultTab.RowResult`

Field Summary

Fields inherited from class org.apache.jmeter.visualizers.SamplerResultTab
`activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

Constructor Summary
`RenderAsJSON()`

Method Summary
`void` | `renderResult(SampleResult sampleResult)`
`String` | `toString()`

Methods inherited from class org.apache.jmeter.visualizers.SamplerResultTab
`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer
`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

Constructor Detail

### RenderAsJSON

    public RenderAsJSON()

Method Detail

### renderResult

    public void renderResult(SampleResult sampleResult)

  Specified by:
    `renderResult` in interface `ResultRenderer`

### toString

    public String toString()

  Specified by:
    `toString` in interface `ResultRenderer`
  Overrides:
    `toString` in class `Object`
  Returns:
    the string to be displayed by the ComboBox

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.